io.vertx.core.spi.logging

## Interface LogDelegate

- All Known Implementing Classes:
    JULLogDelegate, Log4j2LogDelegate, Log4jLogDelegate, SLF4JLogDelegate

      public interface LogDelegate

  I represent operations that are delegated to underlying logging frameworks.
  Author:
    Kenny MacLeod

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Object message)`
    `void` | `debug(Object message, Object... params)`
    `void` | `debug(Object message, Throwable t)`
    `void` | `debug(Object message, Throwable t, Object... params)`
    `void` | `error(Object message)`
    `void` | `error(Object message, Object... params)`
    `void` | `error(Object message, Throwable t)`
    `void` | `error(Object message, Throwable t, Object... params)`
    `void` | `fatal(Object message)`
    `void` | `fatal(Object message, Throwable t)`
    `void` | `info(Object message)`
    `void` | `info(Object message, Object... params)`
    `void` | `info(Object message, Throwable t)`
    `void` | `info(Object message, Throwable t, Object... params)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isTraceEnabled()`
    `void` | `trace(Object message)`
    `void` | `trace(Object message, Object... params)`
    `void` | `trace(Object message, Throwable t)`
    `void` | `trace(Object message, Throwable t, Object... params)`
    `default Object` | `unwrap()`
    `void` | `warn(Object message)`
    `void` | `warn(Object message, Object... params)`
    `void` | `warn(Object message, Throwable t)`
    `void` | `warn(Object message, Throwable t, Object... params)`

- - ### Method Detail

    - #### isInfoEnabled

          boolean isInfoEnabled()

    - #### isDebugEnabled

          boolean isDebugEnabled()

    - #### isTraceEnabled

          boolean isTraceEnabled()

    - #### fatal

          void fatal(Object message)

    - #### fatal

          void fatal(Object message,
                     Throwable t)

    - #### error

          void error(Object message)

    - #### error

          void error(Object message,
                     Object... params)

    - #### error

          void error(Object message,
                     Throwable t)

    - #### error

          void error(Object message,
                     Throwable t,
                     Object... params)

    - #### warn

          void warn(Object message)

    - #### warn

          void warn(Object message,
                    Object... params)

    - #### warn

          void warn(Object message,
                    Throwable t)

    - #### warn

          void warn(Object message,
                    Throwable t,
                    Object... params)

    - #### info

          void info(Object message)

    - #### info

          void info(Object message,
                    Object... params)

    - #### info

          void info(Object message,
                    Throwable t)

    - #### info

          void info(Object message,
                    Throwable t,
                    Object... params)

    - #### debug

          void debug(Object message)

    - #### debug

          void debug(Object message,
                     Object... params)

    - #### debug

          void debug(Object message,
                     Throwable t)

    - #### debug

          void debug(Object message,
                     Throwable t,
                     Object... params)

    - #### trace

          void trace(Object message)

    - #### trace

          void trace(Object message,
                     Object... params)

    - #### trace

          void trace(Object message,
                     Throwable t)

    - #### trace

          void trace(Object message,
                     Throwable t,
                     Object... params)

    - #### unwrap

          default Object unwrap()

      Returns:
        the underlying framework logger object, null in the default implementation

Copyright © 2016. All rights reserved.